package com.diegocayo.organizame.presentation.features.main.events.list

import com.diegocayo.organizame.domain.model.Event

data class EventsListState(
    val events: List<Event> = emptyList(),
    val selectedDate: Long = System.currentTimeMillis(),
    val isLoading: Boolean = false,
    val error: String? = null
)

sealed class EventsListEvent {
    data object LoadEvents : EventsListEvent()
    data class DeleteEvent(val event: Event) : EventsListEvent()
    data object NavigateToCreateEvent : EventsListEvent()
    data class ChangeDate(val date: Long) : EventsListEvent()
    data object NextDay : EventsListEvent()
    data object PreviousDay : EventsListEvent()
} 